可搜索,可注册,可登录,致敬逗比大佬!尽在救援版逗比根据地 dbgjd.com
投稿文章 | 广告合作 | Telegram 群组 / 公告频道 / 使用教程

解决阿里云ECS Ubuntu安装Dropbox报错

News bonniebachtel2007 115℃ 0评论
解决阿里云ECS Ubuntu安装Dropbox报错

这几天在谷歌云服务器上做一个项目,不过谷歌云最近的网络实在是渣渣,实在是受不了,还是回到阿里云的怀抱去了。

由于Dropbox这货死活都不能安装在Centos上,而我所有的服务器都是Centos的系统,所以很不幸,只能重新买一台服务器来完成这个项目,装的系统是Ubuntu16.4 x64。

安装Dropbox:

cd ~ && wget -O - "https://www.dropbox.com/download?plat=lnx.x86_64" | tar xzf -

接着,从新建的 .dropbox-dist 文件夹运行 Dropbox 守护程序。

~/.dropbox-dist/dropboxd

这个时候开始报错了:

Couldn't start Dropbox. This is usually because of a permissions error. Storing your home folder on a network share can also cause an error.  Get more help at https://www.dropbox.com/c/help/permissions_error  Please contact Dropbox support with the following info for help:  /tmp/dropbox_errory552o8b9.txt

字面意思的话就是权限问题,然而我堂堂一个root怎么可能有触及不到的地方。

遂谷歌,翻了十多个结果,都找不到答案,就开始我的debug之旅,创建了三台服务器,分别安装Ubuntu18.04  Ubuntu14.04  Ubuntu16.04(SSD云盘),发现都特么一样,一模一样的报错,排除是系统兼容性跟硬盘的问题,那么估计是阿里云自己的镜像有问题,于是谷歌看看阿里云ECS跟Dropbox有什么渊源么,结果发现还是没有。

那就从零开始,直接搜索Ubuntu安装Dropbox,安装方法千千万,总有一个能解决。

随后发现果然是依赖的问题,安装好下列依赖即可解决:

sudo apt-get install libnautilus-extension sudo apt-get install libnautilus-extension-dev sudo apt-get install docutils-common sudo apt-get install autoconf sudo apt-get install aclocal-1.11 sudo apt-get install aclock.app sudo apt-get install gawk sudo apt-get install gcc sudo apt-get install proxychains sudo apt-get install gstm

安装好了之后再运行Dropbox:

~/.dropbox-dist/dropboxd

发现这个时候不会报错,但是会卡住,正常来讲应该是要给出一个链接让你打开然后通过网页绑定这台机器的。

之后重启了一下再运行上面这条命令,结果发现还是运行加载一些模块之后就不动了。

之后用官方的管理工具Dropbox.py来运行:

python dropbox.py start  #Dropbox isn't running! #Done!

直接提示不在运行,然后退出脚本了。

再查看状态:

python dropbox.py status  #Starting... #To link this computer to a dropbox account, visit the following url: #https://www.dropbox.com/cli_link_nonce?nonce=*****************************

哦吼,这才是正常操作嘛,出现这个链接之后用Chrome打开绑定,完事。

再回过头来看

python dropbox.py start #Dropbox is already running!

这个时候Dropbox就在运行了。

也可以看到程序已经自动创建了一个Dropbox文件夹,里面就是自己Dropbox里的文件。

 

需要注意的一个事,官方给的工具貌似不能支持Python3以上的版本,只能用Python2,shit.

 

 

原创文章转载请注明:转载自:解决阿里云ECS Ubuntu安装Dropbox报错

转载请注明:逗比根据地 » 解决阿里云ECS Ubuntu安装Dropbox报错

喜欢 (0)
发表我的评论
取消评论

表情

Hi,您需要填写昵称和邮箱!

  • 昵称 (必填)
  • 邮箱 (必填)
  • 网址